eTerm | R Documentation

## Definition for S3 class `eTerm`

### Description

`eTerm` mush have following components: term_info, annotation, g, data, background, overlap, fc, zscore, pvalue, adjp, cross.

### Usage

    eTerm(term_info, annotation, g, data, background, overlap, fc, zscore,
    pvalue,
    adjp, cross)

    ## S3 method for class 'eTerm'
    print(x, ...)

### Arguments

`term_info` | a data frame
`annotation` | a list
`g` | an 'igraph' object
`data` | a vector
`background` | a vector
`overlap` | a vector
`fc` | a vector
`zscore` | a vector
`pvalue` | a vector
`adjp` | a vector
`cross` | a matrix
`x` | an object of class `eTerm`
`...` | other parameters

### Value

an object of S3 class `eTerm`

### Examples

    ## Not run:
    # Load the library
    library(XGR)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    eTerm(term_info, annotation, g, data, background, overlap, fc, zscore,
    pvalue, adjp, cross)

    ## End(Not run)